﻿@model SubscriptionInternalViwModel
@{
    ViewBag.Title = "Report Template";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}
<html>
<head>
    <meta charset="utf-8">
    <title>Attendance report</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <style>
        /*common table code start*/

        @@font-face {
            font-family: "PT Serif Caption";
            font-style: normal;
            font-weight: 400;
            src: local("Cambria"),local("PT Serif Caption"),local("PTSerif-Caption"),url(https://themes.googleusercontent.com/static/fonts/ptserifcaption/v6/7xkFOeTxxO1GMC1suOUYWWhBabBbEjGd1iRmpyoZukE.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Light";
            font-style: normal;
            font-weight: 300;
            src: local("Segoe UI Light"),local("Open Sans Light"),local("OpenSans-Light"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/DXI1ORHCpsQm3Vp6mXoaTZ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans";
            font-style: normal;
            font-weight: 400;
            src: local("Segoe UI"),local("Open Sans"),local("OpenSans"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/K88pR3goAWT7BTt32Z01mz8E0i7KZn-EPnyo3HZu7kw.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Bold";
            font-style: normal;
            font-weight: 700;
            src: local("Segoe UI Bold"),local("Open Sans Bold"),local("OpenSans-Bold"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/k3k702ZOKiLJc3WVjuplzJ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        * {
            font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif;
            font-weight: normal;
            font-style: normal;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            -ms-box-sizing: border-box;
            -o-box-sizing: border-box;
            box-sizing: border-box;
        }


        /*common table code end*/
    </style>
    <link href="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/flyer/FlyerStyle.css")" rel="stylesheet" />
</head>
<body>
    <table class="jbt-table-custom structure-bright-gray structure-no-bordered structure-split-bottom">
        <!--1-->
        <tr>
            <td rowspan="3" class="numbertd"></td>
            <td rowspan="2" valign="middle">
                @if (!string.IsNullOrEmpty(Model.Logo) && Model.Logo.ToLower().Contains("http"))
                {
                    <img class="school-logo" src="@Model.Logo" />
                }
                else
                {
                    <img class="school-logo" src="@string.Format("{0}/{1}", baseUrl, Model.Logo)" />
                }
            </td>
            <td colspan="5"></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
        </tr>
        <!--2-->
        <tr>
            <td colspan="5"></td>
            <td style="min-width:200px;">School Name: @Model.SchoolName</td>
            <td style="min-width:200px;">Report Date: @Model.ReportDate</td>
            <td></td>
            <td></td>
        </tr>
        <!--3-->
        <tr>
            <td>Total Number of participants: @Model.TotalNumberOfParticipant</td>
            <td colspan="5"></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
        </tr>
    </table>
    <table class="jbt-table-custom structure-green-line">
        <!--row 1-->
        <tr class="structure-green">
            <th class="structure-text-center structure-bold" style="max-width: 35px; width: 35px;" rowspan="3">#</th>
            <th class="structure-text-center structure-bold" rowspan="3">Participant Name</th>
            <th class="structure-text-center structure-bold" style="max-width: 55px; width: 55px;" rowspan="3">Grade</th>
            <th class="structure-text-center structure-bold" rowspan="3">Tuition label</th>
            <th class="structure-text-center structure-bold" rowspan="3">Teacher</th>
            <th class="structure-text-center structure-bold" colspan="5">Days</th>
            <th class="structure-text-center structure-bold" rowspan="3">Phone #</th>

        </tr>
        <!--row 2-->
        <tr class="structure-green">

            <td class="structure-text-center structure-bold">M</td>
            <td class="structure-text-center structure-bold">T</td>
            <td class="structure-text-center structure-bold">W</td>
            <td class="structure-text-center structure-bold">R</td>
            <td class="structure-text-center structure-bold">F</td>

        </tr>
        <!--row 3-->
        <tr class="structure-bright-gray">

            <td class="structure-text-center structure-bold">@Model.TotalItemInMonday</td>
            <td class="structure-text-center structure-bold">@Model.TotalItemInTuesday</td>
            <td class="structure-text-center structure-bold">@Model.TotalItemInWednesday</td>
            <td class="structure-text-center structure-bold">@Model.TotalItemInThursday</td>
            <td class="structure-text-center structure-bold">@Model.TotalItemInFriday</td>

        </tr>
        <!--row 4-->
        @foreach (var Participant in @Model.Participants)
        {
            <tr class="structure-text-center">
                <td>@Participant.Number</td>
                <td>@Participant.StudentName</td>
                <td>@Participant.Grade</td>
                <td>@Participant.TuitionName</td>
                <td>@Participant.TeacherName</td>
                @if (Participant.Monday == true)
                {
                    <td>X</td>
                }
                else
                {
                    <td></td>
                }
                @if (Participant.Tuesday == true)
                {
                    <td>X</td>
                }
                else
                {
                    <td></td>
                }
                @if (Participant.Wednesday)
                {
                    <td>X</td>
                }
                else
                {
                    <td></td>
                }
                @if (Participant.Thursday)
                {
                    <td>X</td>
                }
                else
                {
                    <td></td>
                }
                @if (Participant.Friday)
                {
                    <td>X</td>
                }
                else
                {
                    <td></td>
                }
                @if (Participant.FirstParentPhone == "")
                {
                    <td>X</td>
                }
                else
                {
                    <td></td>
                }

            </tr>
        }
        <tr class="structure-text-right bold-line structure-bright-gray">

            <td colspan="5" class="structure-bold">Total: </td>
            <td class="structure-bold structure-text-center">@Model.TotalItemInMonday</td>
            <td class="structure-bold structure-text-center">@Model.TotalItemInTuesday</td>
            <td class="structure-bold structure-text-center">@Model.TotalItemInWednesday</td>
            <td class="structure-bold structure-text-center">@Model.TotalItemInThursday</td>
            <td class="structure-bold structure-text-center">@Model.TotalItemInFriday</td>
            <td></td>
        </tr>
    </table>
</body>
</html>

